/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/dor-attach.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/dor-attach.xml',
'<View title="Attach" objectType="XXAS_ATTACHMENT_TYPE" deleteAllowed="true" deleteLabel="Delete" defaultFormHandler="xxas_attachment_pkg.save_application_form">

  <CreateFields>
    <Hidden id="ATTACHED_DOCUMENT_ID"/>
    <Hidden id="ENTITY_NAME"/>
    <Poplist id="XXX_ENTITY_NAME" label="Entity" transient="true" listProvider="LOOKUP_TYPE:DUMMY" visible="false"/>
    <Hidden id="PK1_VALUE"/>
    <Hidden id="PK2_VALUE"/>
    <Hidden id="PK3_VALUE"/>
    <Hidden id="PK4_VALUE"/>
    <Hidden id="PK5_VALUE"/>
    <Hidden id="CATEGORY_CODE"/>
    <Poplist id="XXX_CATEGORY_CODE" label="Category" transient="true" listProvider="LOOKUP_TYPE:DUMMY" visible="false"/>
    <TextInput id="TITLE" label="Title" required="true" visible="true" emptyValue="Title"/>
    <TextInput id="DESCRIPTION" label="Description" required="false" visible="true"/>
    <File id="FILE_ID" label="File" enabled="true" description = "{message.XXAS_DOR_FILE_HELP_TEXT}" required="true" emptyValue="{message.XXAS_RB_COM_ADD}" buttonText="{message.XXAS_RB_COM_UPLOAD}"/>
    <Hidden id="CREATION_DATE"/>
    <Hidden id="CREATED_BY"/>
    <Hidden id="LAST_UPDATE_DATE"/>
    <Hidden id="LAST_UPDATED_BY"/>
    
  </CreateFields>

</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/dor-attach.xml');
END;
/
COMMIT;
EXIT;
